CurveFilletCorners

Rounds the corners of kinked curves with arcs of a single specified radius.

Syntax

Rhino.CurveFilletCorners (strObject, dblRadius [, blnDelete])

Parameters

strObject

Required.  String.  The object's identifier.

dblRadius

Required.  Number.  The fillet radius.

blnDelete

Optional.  Boolean. Delete the input curve. The default is not delete the input curve (False).

Returns

String

If blnDeleted is True, then the identifier of the modified curve object if successful.

String

If blnDeleted is False, then the identifier of the newly created curve object if successful.

Null

If not successful, or on error.

Example

Dim arrCurve

arrCurve = Rhino.GetCurveObject("Select curve")

If IsArray(arrCurve) Then

  Call Rhino.CurveFilletCorners(arrCurve(0), 1.0)

  If IsArray(arrCurve) Then

    Call Rhino.AddPoints(arrPoints)

  End If

End If

Also See

AddFilletCurve

CurveFilletPoints